---
- hosts: all
  roles:
  - common

- hosts: vm1
  roles:  
  - role: hosts
    vars:
      hostname_int: vm1
      hostname_ext: gitlab-test
      domain: vygolov.ru

- hosts: vm2
  roles:
  - role: hosts
    vars:
      hostname_int: vm2
      hostname_ext: rancher-test
      domain: vygolov.ru

- hosts: vm3
  roles:
  - role: hosts
    vars:
      hostname_int: vm3
      hostname_ext: cluster1-test
      domain: vygolov.ru

- hosts: docker
  roles:
  - docker

- hosts: gitlab
  roles:
  - role: gitlab
    vars:
      hostname: gitlab-test.vygolov.ru
      external_url: external_url 'https://gitlab-test.vygolov.ru'

- hosts: registry
  roles:
  - role: registry
    vars:
      hostname: registry-test.vygolov.ru

- hosts: rancher
  roles:
  - role: rancher
    vars:
      hostname: rancher-test.vygolov.ru
